<?php
/**
 * The template for displaying Maintenance Mode Page
 *
 * This is the template that displays Maintenance Mode0 page by default.
 *
 */
add_filter( 'pixlab_filter_show_header', 'pixlab_return_false' );
add_filter( 'pixlab_filter_show_footer', 'pixlab_return_false' );
	
//change the page title
if( pixlab_get_redux_option( 'maintenance-mode-settings-title' ) != '' ) {
	add_filter('pre_get_document_title', 'pixlab_change_the_title');
	function pixlab_change_the_title() {
		return pixlab_get_redux_option( 'maintenance-mode-settings-title' );
	}
}

get_header();
?>

<?php
if ( mascot_core_pixlab_plugin_installed() ) {
	mascot_core_pixlab_get_maintenance_mode_parts();
}
?>

<?php get_footer();
